# class Chef::Provider::RemoteFile::Fetcher

### Public Class Methods

for_resource(uri, new_resource, current_resource) click to toggle source

    # File lib/chef/provider/remote_file/fetcher.rb, line 26
    def self.for_resource(uri, new_resource, current_resource)
      case uri.scheme
      when "http", "https"
        Chef::Provider::RemoteFile::HTTP.new(uri, new_resource, current_resource)
      when "ftp"
        Chef::Provider::RemoteFile::FTP.new(uri, new_resource, current_resource)
      when "file"
        Chef::Provider::RemoteFile::LocalFile.new(uri, new_resource, current_resource)
      else
        raise ArgumentError, "Invalid uri, Only http(s), ftp, and file are currently supported"
      end
    end